function init(hero) {
    hero.setName("Technoblade");
    hero.setTier(10);

	hero.setHelmet("King Crown");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
	hero.setPrimaryEquipment("fiskheroes:prometheus_sword");

    hero.addPowers("vhp:king_pig");
    hero.addAttribute("BASE_SPEED_LEVELS", 5.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 21.0, 0);
	hero.addAttribute("WEAPON_DAMAGE", 30.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.80, 1);
	hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
	hero.addAttribute("IMPACT_DAMAGE", 0.75, 1);
	hero.addAttribute("JUMP_HEIGHT", 5.0, 0);
	hero.addAttribute("STEP_HEIGHT", 0.5, 0);

    hero.addKeyBind("SUPER_SPEED", "Speed Potion", 1);
    hero.addKeyBind("SLOW_MOTION", "King's Eye", 2);
    hero.addKeyBind("GROUND_SMASH", "Nuclear TNT", 3);
	hero.addKeyBind("EARTHQUAKE", "Power Farm", 4);
	hero.addKeyBind("STEEL_TRANSFORM", "Never Die", 5);

    hero.setHasProperty(hasProperty);
	hero.addAttributeProfile("STEEL", steelProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function steelProfile(profile) {
    profile.addAttribute("JUMP_HEIGHT", 8.0, 0);
    profile.addAttribute("PUNCH_DAMAGE", 25.0, 0);
    profile.addAttribute("SPRINT_SPEED", 1.25, 1);
	profile.addAttribute("IMPACT_DAMAGE", 0.90, 1);
	profile.addAttribute("WEAPON_DAMAGE", 35.0, 0);
	profile.addAttribute("BASE_SPEED_LEVELS", 7.0, 0);
	profile.addAttribute("FALL_RESISTANCE", 1.0, 1);
	profile.addAttribute("STEP_HEIGHT", 0.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:dyn/steeled") ? "STEEL" : null;
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}